## mate-desktop 1.20.3

=== debian/changelog ===
mate-desktop (1.20.3-2) unstable; urgency=medium

  * debian/patches:
    + Add 2001_prefer-x-terminal-emulator.patch. Prefer x-terminal-emulator
      over not-so-well-known terminal emulators. (Closes: #809742).

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 19 Aug 2018 01:45:41 +0200

mate-desktop (1.20.3-1) unstable; urgency=medium

  * New upstream version.
  * debian/patches:
    + Drop all patches. Shipped upstream now.
  * debian/control:
    + Update Vcs-*: fields. Package has been migrated to salsa.debian.org.
    + Bump Standards-Version: to 4.1.4. No changes needed.
    + Drop pkg-mate-team Alioth mailing list from Uploaders: field.
  * debian/copyright:
    + Make Upstream-Name: field's value more human readable.
    + Update Upstream-Contact: field.
    + Update Source: field. Use secure URLs.
  * debian/upstream/metadata:
    + Add file. Be compliant with DEP-12 proposal.
    + Use Martin's address as Contact: address.
  * lintian: Move source override to new canonical location.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 05 Jul 2018 16:10:10 +0200

mate-desktop (1.20.1-2) unstable; urgency=medium

  [ Martin Wimpress ]
  * debian/patches:
    + Add 0002_hidpi_background_support.patch. Support background fallback on
      HiDPI.

  [ Mike Gabriel ]
  * debian/libmate-desktop-2-17.symbols:
    + Update for symbol mate_bg_create_surface_scale (with Debian package
      revision for now).

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 18 Apr 2018 13:44:34 +0200

=== debian/control ===
Source: mate-desktop
Section: x11
Priority: optional
Maintainer: Debian+Ubuntu MATE Packaging Team <debian-mate@lists.debian.org>
Uploaders: John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>,
           Stefano Karapetsas <stefano@karapetsas.com>,
           Mike Gabriel <sunweaver@debian.org>,
           Vangelis Mouhtsis <vangelis@gnugr.org>,
           Martin Wimpress <code@flexion.org>,
Build-Depends: debhelper (>= 11~),
               dpkg-dev (>= 1.16.1.1),
               gobject-introspection,
               gtk-doc-tools,
               intltool,
               libdconf-dev (>= 0.13.4),
               libgirepository1.0-dev,
               libglib2.0-dev,
               libglib2.0-doc,
               libgtk-3-dev,
               libgtk-3-doc,
               libstartup-notification0-dev,
               libx11-dev,
               libxml2-dev,
               libxrandr-dev,
               mate-common (>= 1.18),
Standards-Version: 4.1.4
Homepage: http://www.mate-desktop.org/
Vcs-Browser: https://salsa.debian.org/debian-mate-team/mate-desktop
Vcs-Git: https://salsa.debian.org/debian-mate-team/mate-desktop.git

Package: mate-desktop
Architecture: any
Multi-Arch: foreign
Depends: hicolor-icon-theme,
         libmate-desktop-2-17,
         mate-desktop-common (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: mate-user-guide,
Breaks: mate-desktop-gnome,
Replaces: mate-desktop-gnome,
Suggests: mate-desktop-environment,
Description: Library with common API for various MATE modules
 The MATE component mate-desktop contains the libmate-desktop library, the
 mate-about program, as well as some desktop-wide documents.
 .
 The libmate-desktop library provides an API shared by several applications
 on the desktop, but that cannot live in the platform for various
 reasons.
 .
 The mate-about program helps with finding which version of MATE is installed.
 .
 NOTE: This package does not install the complete MATE desktop environment
 for you. The full desktop environment can be installed via the metapackage
 mate-desktop-environment.

Package: mate-desktop-common
Architecture: all
Depends: ${misc:Depends},
Breaks: mate-desktop (<< 1.1.1-1),
Replaces: mate-desktop (<< 1.1.1-1),
Description: Library with common API for various MATE modules (common files)
 The MATE component mate-desktop contains the libmate-desktop library, the
 mate-about program, as well as some desktop-wide documents.
 .
 The libmate-desktop library provides an API shared by several applications
 on the desktop, but that cannot live in the platform for various
 reasons.
 .
 This package contains the architecture-independent files.

Package: libmate-desktop-2-17
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends},
         ${shlibs:Depends},
Provides: libmatedesktop,
Breaks: libmatedesktop (<< 1.6.1),
Replaces: libmatedesktop (<< 1.6.1),
Description: Library with common API for various MATE modules (library)
 The MATE component mate-desktop contains the libmate-desktop library, the
 mate-about program, as well as some desktop-wide documents.
 .
 The libmate-desktop library provides an API shared by several applications
 on the desktop, but that cannot live in the platform for various
 reasons.
 .
 The package contains the actual mate-desktop library.

Package: libmate-desktop-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libdconf-dev,
         libgdk-pixbuf2.0-dev,
         libgtk-3-dev,
         libmate-desktop-2-17 (= ${binary:Version}),
         libstartup-notification0-dev,
         gir1.2-matedesktop-2.0 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: libmatedesktop-dev,
        gir1.2-mate-desktop (<< 1.18.0-2~),
Replaces: libmatedesktop-dev,
          gir1.2-mate-desktop (<< 1.18.0-2~),
Description: Library with common API for various MATE modules (development files)
 The MATE component mate-desktop contains the libmate-desktop library, the
 mate-about program, as well as some desktop-wide documents.
 .
 The libmate-desktop library provides an API shared by several applications
 on the desktop, but that cannot live in the platform for various
 reasons.
 .
 This package contains the mate-desktop development files.

Package: libmate-desktop-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Breaks: libmatedesktop-doc,
Replaces: libmatedesktop-doc,
Description: Library with common API for various MATE modules (documentation files)
 The MATE component mate-desktop contains the libmate-desktop library, the
 mate-about program, as well as some desktop-wide documents.
 .
 The libmate-desktop library provides an API shared by several applications
 on the desktop, but that cannot live in the platform for various
 reasons.
 .
 This package contains the documentation files.

Package: gir1.2-matedesktop-2.0
Section: introspection
Architecture: any
Multi-Arch: same
Depends: libmate-desktop-2-17 (= ${binary:Version}),
         ${gir:Depends},
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: gir1.2-mate-desktop (<< 1.18.0-2~),
Replaces: gir1.2-mate-desktop (<< 1.18.0-2~),
Description: GObject introspection data for the libmate-desktop library
 The MATE component mate-desktop contains the libmate-desktop library, the
 mate-about program, as well as some desktop-wide documents.
 .
 The libmate-desktop library provides an API shared by several applications
 on the desktop, but that cannot live in the platform for various
 reasons.
 .
 This package contains introspection data for the library.
 .
 It can be used by packages using the GIRepository format to generate
 dynamic bindings.

Package: gir1.2-mate-desktop
Section: oldlibs
Architecture: any
Depends: ${misc:Depends},
         gir1.2-matedesktop-2.0 (= ${binary:Version}),
Description: GObject introspection data for libmate-desktop (transitional package)
 This package is a transitional package to gir1.2-matedesktop-2.0. The package
 can be safely removed.

## mate-desktop 1.20.4

=== debian/changelog ===
mate-desktop (1.20.4-2) unstable; urgency=medium

  * debian/patches:
    + Add 0001_add-setting-for-xkb-modifier-latching.patch.
      Add org.mate.accessibility-keyboard.stickykeys-latch-to-lock setting.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 16 Jan 2019 11:36:18 +0100

mate-desktop (1.20.4-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Bump Standards-Version: to 4.3.0. No changes needed.
  * debian/libmate-desktop-2-17.symbols:
    + Add Build-Depends-Package: meta-data field.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 06 Jan 2019 01:20:48 +0100

=== debian/control ===
--- 
+++ 
@@ -23,7 +23,7 @@
                libxml2-dev,
                libxrandr-dev,
                mate-common (>= 1.18),
-Standards-Version: 4.1.4
+Standards-Version: 4.3.0
 Homepage: http://www.mate-desktop.org/
 Vcs-Browser: https://salsa.debian.org/debian-mate-team/mate-desktop
 Vcs-Git: https://salsa.debian.org/debian-mate-team/mate-desktop.git

=== debian/watch ===
version=3
https://git.mate-desktop.org/mate-desktop/ \
    snapshot/mate-desktop-(\d\.(?:[0-9]+|)[24680]\.\d)\.tar\.xz

## mate-desktop 1.22.0

=== debian/changelog ===
mate-desktop (1.22.0-1+tina) unstable; urgency=medium

  * New upstream release

 -- Vlad Orlov <monsta@inbox.ru>  Tue, 05 Mar 2019 13:26:45 +0300

mate-desktop (1.21.2-1) unstable; urgency=medium

  * New upstream development release

 -- Vlad Orlov <monsta@inbox.ru>  Fri, 30 Nov 2018 14:05:44 +0300

mate-desktop (1.21.1-1) unstable; urgency=medium

  * New upstream development release

 -- Vlad Orlov <monsta@inbox.ru>  Wed, 10 Oct 2018 13:48:39 +0300

mate-desktop (1.21.0-1) unstable; urgency=medium

  * New upstream development release

 -- Vlad Orlov <monsta@inbox.ru>  Tue, 09 Oct 2018 17:56:40 +0300

mate-desktop (1.20.2-1) unstable; urgency=medium

  * New upstream bugfix release

 -- Vlad Orlov <monsta@inbox.ru>  Mon, 04 Jun 2018 11:54:17 +0300

mate-desktop (1.19.0-1) unstable; urgency=medium

  * New upstream development release

 -- Vlad Orlov <monsta@inbox.ru>  Wed, 24 Jan 2018 11:47:29 +0300

mate-desktop (1.17.2-1) unstable; urgency=medium

  * New upstream development release.

 -- Martin Wimpress <martin.wimpress@ubuntu.com>  Thu, 19 Jan 2017 00:41:16 +0000

mate-desktop (1.17.1-1) unstable; urgency=medium

  * New upstream development release

 -- Vlad Orlov <monsta@inbox.ru>  Fri, 13 Jan 2017 15:46:59 +0300

mate-desktop (1.17.0-1) unstable; urgency=medium

  * New upstream development release

 -- Vlad Orlov <monsta@inbox.ru>  Thu, 24 Nov 2016 17:54:35 +0300

=== debian/control ===
--- 
+++ 
@@ -7,11 +7,12 @@
            Mike Gabriel <sunweaver@debian.org>,
            Vangelis Mouhtsis <vangelis@gnugr.org>,
            Martin Wimpress <code@flexion.org>,
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper (>= 10),
                dpkg-dev (>= 1.16.1.1),
                gobject-introspection,
                gtk-doc-tools,
                intltool,
+               iso-codes,
                libdconf-dev (>= 0.13.4),
                libgirepository1.0-dev,
                libglib2.0-dev,
@@ -22,11 +23,11 @@
                libx11-dev,
                libxml2-dev,
                libxrandr-dev,
-               mate-common (>= 1.18),
-Standards-Version: 4.3.0
+               mate-common (>= 1.20),
+Standards-Version: 3.9.7
 Homepage: http://www.mate-desktop.org/
-Vcs-Browser: https://salsa.debian.org/debian-mate-team/mate-desktop
-Vcs-Git: https://salsa.debian.org/debian-mate-team/mate-desktop.git
+Vcs-Browser: https://github.com/mate-desktop/debian-packages
+Vcs-Git: git://github.com/mate-desktop/debian-packages.git
 
 Package: mate-desktop
 Architecture: any
@@ -39,7 +40,6 @@
 Recommends: mate-user-guide,
 Breaks: mate-desktop-gnome,
 Replaces: mate-desktop-gnome,
-Suggests: mate-desktop-environment,
 Description: Library with common API for various MATE modules
  The MATE component mate-desktop contains the libmate-desktop library, the
  mate-about program, as well as some desktop-wide documents.
@@ -49,15 +49,12 @@
  reasons.
  .
  The mate-about program helps with finding which version of MATE is installed.
- .
- NOTE: This package does not install the complete MATE desktop environment
- for you. The full desktop environment can be installed via the metapackage
- mate-desktop-environment.
 
 Package: mate-desktop-common
 Architecture: all
 Depends: ${misc:Depends},
 Breaks: mate-desktop (<< 1.1.1-1),
+        mate-settings-daemon (<< 1.20.0),
 Replaces: mate-desktop (<< 1.1.1-1),
 Description: Library with common API for various MATE modules (common files)
  The MATE component mate-desktop contains the libmate-desktop library, the
@@ -74,7 +71,8 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends},
-Depends: ${misc:Depends},
+Depends: iso-codes,
+         ${misc:Depends},
          ${shlibs:Depends},
 Provides: libmatedesktop,
 Breaks: libmatedesktop (<< 1.6.1),
@@ -102,9 +100,9 @@
          ${misc:Depends},
          ${shlibs:Depends},
 Breaks: libmatedesktop-dev,
-        gir1.2-mate-desktop (<< 1.18.0-2~),
+        gir1.2-mate-desktop (<< 1.20.1-1~),
 Replaces: libmatedesktop-dev,
-          gir1.2-mate-desktop (<< 1.18.0-2~),
+          gir1.2-mate-desktop (<< 1.20.1-1~),
 Description: Library with common API for various MATE modules (development files)
  The MATE component mate-desktop contains the libmate-desktop library, the
  mate-about program, as well as some desktop-wide documents.
@@ -136,12 +134,11 @@
 Section: introspection
 Architecture: any
 Multi-Arch: same
-Depends: libmate-desktop-2-17 (= ${binary:Version}),
-         ${gir:Depends},
+Depends: ${gir:Depends},
          ${misc:Depends},
          ${shlibs:Depends},
-Breaks: gir1.2-mate-desktop (<< 1.18.0-2~),
-Replaces: gir1.2-mate-desktop (<< 1.18.0-2~),
+Breaks: gir1.2-mate-desktop (<< 1.20.1-1~),
+Replaces: gir1.2-mate-desktop (<< 1.20.1-1~),
 Description: GObject introspection data for the libmate-desktop library
  The MATE component mate-desktop contains the libmate-desktop library, the
  mate-about program, as well as some desktop-wide documents.

=== debian/rules ===
#!/usr/bin/make -f

DHFLAGS=--parallel

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@ $(DHFLAGS) --with gir

override_dh_install:
	rm -f debian/tmp/usr/lib/*/*.la
	dh_install --fail-missing

override_dh_installchangelogs:
	dh_installchangelogs NEWS

override_dh_auto_configure:
	# upstream tarball is without configure. autogen.sh will create it
	NOCONFIGURE=1 ./autogen.sh
	dh_auto_configure $(DHFLAGS) -- \
		--disable-silent-rules \
		--disable-static \
		--disable-schemas-compile \
		--enable-gtk-doc

override_dh_strip:
	dh_strip -pmate-desktop --dbgsym-migration='mate-desktop-dbg (<< 1.20.0-1~)'
	dh_strip -plibmate-desktop-2-17 --dbgsym-migration='libmate-desktop-2-17-dbg (<< 1.20.0-1~)'

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..

## mate-desktop 1.22.1

=== debian/changelog ===
mate-desktop (1.22.1-0ubuntu1) eoan; urgency=medium

  * New upstream release.

 -- Martin Wimpress <martin.wimpress@ubuntu.com>  Mon, 18 Mar 2019 20:30:22 +0000

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
            Mike Gabriel <sunweaver@debian.org>,
            Vangelis Mouhtsis <vangelis@gnugr.org>,
            Martin Wimpress <code@flexion.org>,
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11~),
                dpkg-dev (>= 1.16.1.1),
                gobject-introspection,
                gtk-doc-tools,
@@ -19,15 +19,16 @@
                libglib2.0-doc,
                libgtk-3-dev,
                libgtk-3-doc,
+               librsvg2-bin,
                libstartup-notification0-dev,
                libx11-dev,
                libxml2-dev,
                libxrandr-dev,
-               mate-common (>= 1.20),
-Standards-Version: 3.9.7
+               mate-common (>= 1.18),
+Standards-Version: 4.3.0
 Homepage: http://www.mate-desktop.org/
-Vcs-Browser: https://github.com/mate-desktop/debian-packages
-Vcs-Git: git://github.com/mate-desktop/debian-packages.git
+Vcs-Browser: https://salsa.debian.org/debian-mate-team/mate-desktop
+Vcs-Git: https://salsa.debian.org/debian-mate-team/mate-desktop.git
 
 Package: mate-desktop
 Architecture: any
@@ -40,6 +41,7 @@
 Recommends: mate-user-guide,
 Breaks: mate-desktop-gnome,
 Replaces: mate-desktop-gnome,
+Suggests: mate-desktop-environment,
 Description: Library with common API for various MATE modules
  The MATE component mate-desktop contains the libmate-desktop library, the
  mate-about program, as well as some desktop-wide documents.
@@ -49,12 +51,15 @@
  reasons.
  .
  The mate-about program helps with finding which version of MATE is installed.
+ .
+ NOTE: This package does not install the complete MATE desktop environment
+ for you. The full desktop environment can be installed via the metapackage
+ mate-desktop-environment.
 
 Package: mate-desktop-common
 Architecture: all
 Depends: ${misc:Depends},
 Breaks: mate-desktop (<< 1.1.1-1),
-        mate-settings-daemon (<< 1.20.0),
 Replaces: mate-desktop (<< 1.1.1-1),
 Description: Library with common API for various MATE modules (common files)
  The MATE component mate-desktop contains the libmate-desktop library, the
@@ -100,9 +105,9 @@
          ${misc:Depends},
          ${shlibs:Depends},
 Breaks: libmatedesktop-dev,
-        gir1.2-mate-desktop (<< 1.20.1-1~),
+        gir1.2-mate-desktop (<< 1.18.0-2~),
 Replaces: libmatedesktop-dev,
-          gir1.2-mate-desktop (<< 1.20.1-1~),
+          gir1.2-mate-desktop (<< 1.18.0-2~),
 Description: Library with common API for various MATE modules (development files)
  The MATE component mate-desktop contains the libmate-desktop library, the
  mate-about program, as well as some desktop-wide documents.
@@ -134,11 +139,12 @@
 Section: introspection
 Architecture: any
 Multi-Arch: same
-Depends: ${gir:Depends},
+Depends: libmate-desktop-2-17 (= ${binary:Version}),
+         ${gir:Depends},
          ${misc:Depends},
          ${shlibs:Depends},
-Breaks: gir1.2-mate-desktop (<< 1.20.1-1~),
-Replaces: gir1.2-mate-desktop (<< 1.20.1-1~),
+Breaks: gir1.2-mate-desktop (<< 1.18.0-2~),
+Replaces: gir1.2-mate-desktop (<< 1.18.0-2~),
 Description: GObject introspection data for the libmate-desktop library
  The MATE component mate-desktop contains the libmate-desktop library, the
  mate-about program, as well as some desktop-wide documents.

## mate-desktop 1.22.2

=== debian/changelog ===
mate-desktop (1.22.2-1+tricia) unstable; urgency=medium

  * New upstream bugfix release

 -- Vlad Orlov <monsta@inbox.ru>  Tue, 08 Oct 2019 17:56:19 +0300

mate-desktop (1.22.1-1) unstable; urgency=medium

  * New upstream bugfix release

 -- Vlad Orlov <monsta@inbox.ru>  Thu, 04 Jul 2019 12:15:35 +0300

mate-desktop (1.22.0-1) unstable; urgency=medium

  * New upstream release

 -- Vlad Orlov <monsta@inbox.ru>  Tue, 05 Mar 2019 13:26:45 +0300

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
            Mike Gabriel <sunweaver@debian.org>,
            Vangelis Mouhtsis <vangelis@gnugr.org>,
            Martin Wimpress <code@flexion.org>,
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper (>= 11),
                dpkg-dev (>= 1.16.1.1),
                gobject-introspection,
                gtk-doc-tools,
@@ -19,16 +19,15 @@
                libglib2.0-doc,
                libgtk-3-dev,
                libgtk-3-doc,
-               librsvg2-bin,
                libstartup-notification0-dev,
                libx11-dev,
                libxml2-dev,
                libxrandr-dev,
-               mate-common (>= 1.18),
-Standards-Version: 4.3.0
+               mate-common (>= 1.20),
+Standards-Version: 3.9.7
 Homepage: http://www.mate-desktop.org/
-Vcs-Browser: https://salsa.debian.org/debian-mate-team/mate-desktop
-Vcs-Git: https://salsa.debian.org/debian-mate-team/mate-desktop.git
+Vcs-Browser: https://github.com/mate-desktop/debian-packages
+Vcs-Git: git://github.com/mate-desktop/debian-packages.git
 
 Package: mate-desktop
 Architecture: any
@@ -41,7 +40,6 @@
 Recommends: mate-user-guide,
 Breaks: mate-desktop-gnome,
 Replaces: mate-desktop-gnome,
-Suggests: mate-desktop-environment,
 Description: Library with common API for various MATE modules
  The MATE component mate-desktop contains the libmate-desktop library, the
  mate-about program, as well as some desktop-wide documents.
@@ -51,15 +49,12 @@
  reasons.
  .
  The mate-about program helps with finding which version of MATE is installed.
- .
- NOTE: This package does not install the complete MATE desktop environment
- for you. The full desktop environment can be installed via the metapackage
- mate-desktop-environment.
 
 Package: mate-desktop-common
 Architecture: all
 Depends: ${misc:Depends},
 Breaks: mate-desktop (<< 1.1.1-1),
+        mate-settings-daemon (<< 1.20.0),
 Replaces: mate-desktop (<< 1.1.1-1),
 Description: Library with common API for various MATE modules (common files)
  The MATE component mate-desktop contains the libmate-desktop library, the
@@ -105,9 +100,9 @@
          ${misc:Depends},
          ${shlibs:Depends},
 Breaks: libmatedesktop-dev,
-        gir1.2-mate-desktop (<< 1.18.0-2~),
+        gir1.2-mate-desktop (<< 1.20.1-1~),
 Replaces: libmatedesktop-dev,
-          gir1.2-mate-desktop (<< 1.18.0-2~),
+          gir1.2-mate-desktop (<< 1.20.1-1~),
 Description: Library with common API for various MATE modules (development files)
  The MATE component mate-desktop contains the libmate-desktop library, the
  mate-about program, as well as some desktop-wide documents.
@@ -139,12 +134,11 @@
 Section: introspection
 Architecture: any
 Multi-Arch: same
-Depends: libmate-desktop-2-17 (= ${binary:Version}),
-         ${gir:Depends},
+Depends: ${gir:Depends},
          ${misc:Depends},
          ${shlibs:Depends},
-Breaks: gir1.2-mate-desktop (<< 1.18.0-2~),
-Replaces: gir1.2-mate-desktop (<< 1.18.0-2~),
+Breaks: gir1.2-mate-desktop (<< 1.20.1-1~),
+Replaces: gir1.2-mate-desktop (<< 1.20.1-1~),
 Description: GObject introspection data for the libmate-desktop library
  The MATE component mate-desktop contains the libmate-desktop library, the
  mate-about program, as well as some desktop-wide documents.

=== debian/rules ===
--- 
+++ 
@@ -7,11 +7,14 @@
 include /usr/share/dpkg/buildflags.mk
 
 %:
-	dh $@ $(DHFLAGS) --with gir
+	dh $@ $(DHFLAGS) --with gir --without autoreconf
+
+override_dh_missing:
+	dh_missing --fail-missing
 
 override_dh_install:
 	rm -f debian/tmp/usr/lib/*/*.la
-	dh_install --fail-missing
+	dh_install
 
 override_dh_installchangelogs:
 	dh_installchangelogs NEWS

## mate-desktop 1.24.0

=== meson_options.txt ===
option('gtk-doc',
  type: 'boolean',
  value: 'false',
)
option('introspection',
  type: 'boolean',
  value: 'false',
)
option('mate-about',
  type: 'boolean',
  value: 'true',
)
option('startup-notification',
  type: 'boolean',
  value: 'false',
)
option('pnp-ids-path',
  type: 'string',
  value: 'internal',
)

=== debian/changelog ===
mate-desktop (1.24.0-2) unstable; urgency=medium

  * debian/patches:
    + Add 2002_reproducible-build.patch. Make builds reproducible. Thanks to
      Chris Lamb for providing the patch. (Closes: #951357).

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 20 Feb 2020 07:56:25 +0100

mate-desktop (1.24.0-1) unstable; urgency=medium

  [ Mike Gabriel ]
  * debian/control:
    + Add Rules-Requires-Root: field and set it to no.
    + Bump Standards-Version: to 4.5.0. No changes needed.
    + Update various B-Ds with minimal versions. Match <LIB>_REQUIRED
      variables in configure.ac.
    + Add B-D autoconf-archive.
  * debian/upstream/metadata:
    + Drop obsolete fields Contact: and Name:.
    + Append .git suffix to URLs in Repository: field.
  * debian/libmate-desktop-2-17.symbols:
    + Update symbols.

  [ Martin Wimpress ]
  * New upstream release.
  * debian/copyright:
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 11 Feb 2020 08:20:20 +0100

mate-desktop (1.22.2-1) unstable; urgency=medium

  [ Martin Wimpress ]
  * New upstream release.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 27 Sep 2019 19:53:43 +0200

=== debian/control ===
--- 
+++ 
@@ -7,27 +7,31 @@
            Mike Gabriel <sunweaver@debian.org>,
            Vangelis Mouhtsis <vangelis@gnugr.org>,
            Martin Wimpress <code@flexion.org>,
-Build-Depends: debhelper (>= 11),
+Build-Depends: autoconf-archive,
+               debhelper-compat (=12),
                dpkg-dev (>= 1.16.1.1),
                gobject-introspection,
                gtk-doc-tools,
                intltool,
                iso-codes,
                libdconf-dev (>= 0.13.4),
+               libgdk-pixbuf2.0-dev (>= 2.36.5),
                libgirepository1.0-dev,
-               libglib2.0-dev,
+               libglib2.0-dev (>= 2.50.0),
                libglib2.0-doc,
-               libgtk-3-dev,
+               libgtk-3-dev (>= 3.22.0),
                libgtk-3-doc,
+               librsvg2-bin,
                libstartup-notification0-dev,
                libx11-dev,
                libxml2-dev,
-               libxrandr-dev,
-               mate-common (>= 1.20),
-Standards-Version: 3.9.7
+               libxrandr-dev (>= 1.3),
+               mate-common (>= 1.18),
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: http://www.mate-desktop.org/
-Vcs-Browser: https://github.com/mate-desktop/debian-packages
-Vcs-Git: git://github.com/mate-desktop/debian-packages.git
+Vcs-Browser: https://salsa.debian.org/debian-mate-team/mate-desktop
+Vcs-Git: https://salsa.debian.org/debian-mate-team/mate-desktop.git
 
 Package: mate-desktop
 Architecture: any
@@ -40,6 +44,7 @@
 Recommends: mate-user-guide,
 Breaks: mate-desktop-gnome,
 Replaces: mate-desktop-gnome,
+Suggests: mate-desktop-environment,
 Description: Library with common API for various MATE modules
  The MATE component mate-desktop contains the libmate-desktop library, the
  mate-about program, as well as some desktop-wide documents.
@@ -49,12 +54,15 @@
  reasons.
  .
  The mate-about program helps with finding which version of MATE is installed.
+ .
+ NOTE: This package does not install the complete MATE desktop environment
+ for you. The full desktop environment can be installed via the metapackage
+ mate-desktop-environment.
 
 Package: mate-desktop-common
 Architecture: all
 Depends: ${misc:Depends},
 Breaks: mate-desktop (<< 1.1.1-1),
-        mate-settings-daemon (<< 1.20.0),
 Replaces: mate-desktop (<< 1.1.1-1),
 Description: Library with common API for various MATE modules (common files)
  The MATE component mate-desktop contains the libmate-desktop library, the
@@ -100,9 +108,9 @@
          ${misc:Depends},
          ${shlibs:Depends},
 Breaks: libmatedesktop-dev,
-        gir1.2-mate-desktop (<< 1.20.1-1~),
+        gir1.2-mate-desktop (<< 1.18.0-2~),
 Replaces: libmatedesktop-dev,
-          gir1.2-mate-desktop (<< 1.20.1-1~),
+          gir1.2-mate-desktop (<< 1.18.0-2~),
 Description: Library with common API for various MATE modules (development files)
  The MATE component mate-desktop contains the libmate-desktop library, the
  mate-about program, as well as some desktop-wide documents.
@@ -134,11 +142,12 @@
 Section: introspection
 Architecture: any
 Multi-Arch: same
-Depends: ${gir:Depends},
+Depends: libmate-desktop-2-17 (= ${binary:Version}),
+         ${gir:Depends},
          ${misc:Depends},
          ${shlibs:Depends},
-Breaks: gir1.2-mate-desktop (<< 1.20.1-1~),
-Replaces: gir1.2-mate-desktop (<< 1.20.1-1~),
+Breaks: gir1.2-mate-desktop (<< 1.18.0-2~),
+Replaces: gir1.2-mate-desktop (<< 1.18.0-2~),
 Description: GObject introspection data for the libmate-desktop library
  The MATE component mate-desktop contains the libmate-desktop library, the
  mate-about program, as well as some desktop-wide documents.

=== debian/rules ===
--- 
+++ 
@@ -28,9 +28,5 @@
 		--disable-schemas-compile \
 		--enable-gtk-doc
 
-override_dh_strip:
-	dh_strip -pmate-desktop --dbgsym-migration='mate-desktop-dbg (<< 1.20.0-1~)'
-	dh_strip -plibmate-desktop-2-17 --dbgsym-migration='libmate-desktop-2-17-dbg (<< 1.20.0-1~)'
-
 get-orig-source:
 	uscan --noconf --force-download --rename --download-current-version --destdir=..

## mate-desktop 1.24.0-2+10.0trisquel0

=== debian/changelog ===
mate-desktop (1.24.0-2+10.0trisquel0) nabia; urgency=medium

  * Fix LP:1891891 Broken icons on localization MATE.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Thu, 17 Feb 2022 07:15:05 +0000

## mate-desktop 1.24.1

=== debian/changelog ===
mate-desktop (1.24.1-2) unstable; urgency=medium

  * debian/control:
    + Switch B-D from libgdk-pixbuf2.0-dev to libgdk-pixbuf-2.0-dev.
      (Closes: #976031).

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 28 Nov 2020 17:16:56 +0100

mate-desktop (1.24.1-1) unstable; urgency=medium

  [ Martin Wimpress ]
  * New upstream release
  * debian/patches:
    + Drop 2002_reproducible-build.patch. Applied upstream.

  [ Mike Gabriel ]
  * debian/control:
    + Bump DH compat level to version 13.
  * debian/copyright:
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 19 Aug 2020 22:48:56 +0200

=== debian/control ===
--- 
+++ 
@@ -8,14 +8,14 @@
            Vangelis Mouhtsis <vangelis@gnugr.org>,
            Martin Wimpress <code@flexion.org>,
 Build-Depends: autoconf-archive,
-               debhelper-compat (=12),
+               debhelper-compat (= 13),
                dpkg-dev (>= 1.16.1.1),
                gobject-introspection,
                gtk-doc-tools,
                intltool,
                iso-codes,
                libdconf-dev (>= 0.13.4),
-               libgdk-pixbuf2.0-dev (>= 2.36.5),
+               libgdk-pixbuf-2.0-dev (>= 2.36.5),
                libgirepository1.0-dev,
                libglib2.0-dev (>= 2.50.0),
                libglib2.0-doc,

## mate-desktop 1.26.0

=== meson_options.txt ===
option('gtk-doc',
  type: 'boolean',
  value: 'false',
  description: 'use gtk-doc to build documentation'
)

option('introspection',
  type: 'boolean',
  value: 'false',
  description: 'Enable introspection for this build'
)

option('mate-about',
  type: 'boolean',
  value: 'true',
  description: 'build mate-about'
)

option('startup-notification',
  type: 'boolean',
  value: 'false',
  description: 'startup notification support'
)

option('pnp-ids-path',
  type: 'string',
  value: 'internal',
  description: 'Specify the path to pnp.ids, default is "internal"'
)

=== debian/changelog ===
mate-desktop (1.26.0-1) unstable; urgency=medium

  [ Martin Wimpress ]
  * New upstream release.

  [ Mike Gabriel ]
  * debian/control:
    + Bump Standards-Version: to 4.6.0. No changes needed.
    + Drop transitional pkg 'gir1.2-mate-desktop' and drop
      lintian override for this.
  * debian/watch:
    + Use format version 4.
  * debian/{rules,libmate-desktop-doc.*}:
    + Move GTK API documentation to pkg's doc folder.
  * debian/libmate-desktop-doc.doc-base:
    + Add file. Register API docs with doc-base system.
  * debian/copyright:
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 10 Dec 2021 20:59:48 +0100

=== debian/control ===
--- 
+++ 
@@ -27,7 +27,7 @@
                libxml2-dev,
                libxrandr-dev (>= 1.3),
                mate-common (>= 1.18),
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: http://www.mate-desktop.org/
 Vcs-Browser: https://salsa.debian.org/debian-mate-team/mate-desktop
@@ -160,12 +160,3 @@
  .
  It can be used by packages using the GIRepository format to generate
  dynamic bindings.
-
-Package: gir1.2-mate-desktop
-Section: oldlibs
-Architecture: any
-Depends: ${misc:Depends},
-         gir1.2-matedesktop-2.0 (= ${binary:Version}),
-Description: GObject introspection data for libmate-desktop (transitional package)
- This package is a transitional package to gir1.2-matedesktop-2.0. The package
- can be safely removed.

=== debian/rules ===
--- 
+++ 
@@ -14,6 +14,8 @@
 
 override_dh_install:
 	rm -f debian/tmp/usr/lib/*/*.la
+	mkdir -p debian/tmp/usr/share/doc/libmate-desktop-doc/
+	mv debian/tmp/usr/share/gtk-doc/html/mate-desktop debian/tmp/usr/share/doc/libmate-desktop-doc/html
 	dh_install
 
 override_dh_installchangelogs:

## mate-desktop 1.26.2

=== debian/changelog ===
mate-desktop (1.26.2-2) unstable; urgency=medium

  * Team upload
  * Update gir handling
  * Remove obsolete Breaks, Replaces
  * Bump Standards Version to 4.7.2

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 21 Oct 2025 14:47:09 -0400

mate-desktop (1.26.2-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062849

 -- Graham Inggs <ginggs@debian.org>  Thu, 29 Feb 2024 12:11:12 +0000

mate-desktop (1.26.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/mate-desktop-common.install:
    + Add mate-portals.conf.
  * debian/copyright:
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 24 Sep 2023 17:55:34 +0200

mate-desktop (1.26.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Bump Standards-Version: to 4.6.2. No changes needed.
  * debian/patches:
    + Drop patches 0001, 0002 and 0003. All applied upstream.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 10 Jul 2023 06:04:57 +0200

mate-desktop (1.26.0-2) unstable; urgency=medium

  * debian/patches:
    + Trivial rebase of 001_prefer-x-terminal-emulator.patch.
    + Add patches 0001 and 0002. Fix two memory leaks.
    + Add patch 0003 fix use-after-free issue. (Closes: #1033719).
  * debian/control:
    + In bin:pkg libmate-desktop-dev switch from libgdk-pixbuf2.0-dev
      (deprecated) to libgdk-pixbuf-2.0-dev. Thanks, lintian.
  * debian/copyright:
    + Update copyright attribution for debian/ folder.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 25 Apr 2023 16:35:44 +0200

=== debian/control ===
--- 
+++ 
@@ -7,16 +7,17 @@
            Mike Gabriel <sunweaver@debian.org>,
            Vangelis Mouhtsis <vangelis@gnugr.org>,
            Martin Wimpress <code@flexion.org>,
-Build-Depends: autoconf-archive,
-               debhelper-compat (= 13),
-               dpkg-dev (>= 1.16.1.1),
-               gobject-introspection,
+Build-Depends: debhelper-compat (= 13),
+               dh-sequence-gir,
+               dpkg-dev (>= 1.22.5),
+               autoconf-archive,
+               gir1.2-gobject-2.0-dev,
+               gir1.2-gtk-3.0-dev,
                gtk-doc-tools,
                intltool,
                iso-codes,
                libdconf-dev (>= 0.13.4),
                libgdk-pixbuf-2.0-dev (>= 2.36.5),
-               libgirepository1.0-dev,
                libglib2.0-dev (>= 2.50.0),
                libglib2.0-doc,
                libgtk-3-dev (>= 3.22.0),
@@ -27,9 +28,8 @@
                libxml2-dev,
                libxrandr-dev (>= 1.3),
                mate-common (>= 1.18),
-Standards-Version: 4.6.0
-Rules-Requires-Root: no
-Homepage: http://www.mate-desktop.org/
+Standards-Version: 4.7.2
+Homepage: https://mate-desktop.org/
 Vcs-Browser: https://salsa.debian.org/debian-mate-team/mate-desktop
 Vcs-Git: https://salsa.debian.org/debian-mate-team/mate-desktop.git
 
@@ -37,13 +37,11 @@
 Architecture: any
 Multi-Arch: foreign
 Depends: hicolor-icon-theme,
-         libmate-desktop-2-17,
+         libmate-desktop-2-17t64,
          mate-desktop-common (= ${source:Version}),
          ${misc:Depends},
          ${shlibs:Depends},
 Recommends: mate-user-guide,
-Breaks: mate-desktop-gnome,
-Replaces: mate-desktop-gnome,
 Suggests: mate-desktop-environment,
 Description: Library with common API for various MATE modules
  The MATE component mate-desktop contains the libmate-desktop library, the
@@ -62,8 +60,6 @@
 Package: mate-desktop-common
 Architecture: all
 Depends: ${misc:Depends},
-Breaks: mate-desktop (<< 1.1.1-1),
-Replaces: mate-desktop (<< 1.1.1-1),
 Description: Library with common API for various MATE modules (common files)
  The MATE component mate-desktop contains the libmate-desktop library, the
  mate-about program, as well as some desktop-wide documents.
@@ -74,17 +70,17 @@
  .
  This package contains the architecture-independent files.
 
-Package: libmate-desktop-2-17
+Package: libmate-desktop-2-17t64
 Section: libs
 Architecture: any
 Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends},
 Depends: iso-codes,
          ${misc:Depends},
          ${shlibs:Depends},
 Provides: libmatedesktop,
-Breaks: libmatedesktop (<< 1.6.1),
-Replaces: libmatedesktop (<< 1.6.1),
+          ${t64:Provides},
+Breaks: libmate-desktop-2-17 (<< ${source:Version}),
+Replaces: libmate-desktop-2-17,
 Description: Library with common API for various MATE modules (library)
  The MATE component mate-desktop contains the libmate-desktop library, the
  mate-about program, as well as some desktop-wide documents.
@@ -100,17 +96,13 @@
 Architecture: any
 Multi-Arch: same
 Depends: libdconf-dev,
-         libgdk-pixbuf2.0-dev,
+         libgdk-pixbuf-2.0-dev,
          libgtk-3-dev,
-         libmate-desktop-2-17 (= ${binary:Version}),
+         libmate-desktop-2-17t64 (= ${binary:Version}),
          libstartup-notification0-dev,
-         gir1.2-matedesktop-2.0 (= ${binary:Version}),
+         ${gir:Depends},
          ${misc:Depends},
-         ${shlibs:Depends},
-Breaks: libmatedesktop-dev,
-        gir1.2-mate-desktop (<< 1.18.0-2~),
-Replaces: libmatedesktop-dev,
-          gir1.2-mate-desktop (<< 1.18.0-2~),
+Provides: ${gir:Provides},
 Description: Library with common API for various MATE modules (development files)
  The MATE component mate-desktop contains the libmate-desktop library, the
  mate-about program, as well as some desktop-wide documents.
@@ -126,8 +118,6 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends},
-Breaks: libmatedesktop-doc,
-Replaces: libmatedesktop-doc,
 Description: Library with common API for various MATE modules (documentation files)
  The MATE component mate-desktop contains the libmate-desktop library, the
  mate-about program, as well as some desktop-wide documents.
@@ -142,12 +132,9 @@
 Section: introspection
 Architecture: any
 Multi-Arch: same
-Depends: libmate-desktop-2-17 (= ${binary:Version}),
+Depends: libmate-desktop-2-17t64 (= ${binary:Version}),
          ${gir:Depends},
          ${misc:Depends},
-         ${shlibs:Depends},
-Breaks: gir1.2-mate-desktop (<< 1.18.0-2~),
-Replaces: gir1.2-mate-desktop (<< 1.18.0-2~),
 Description: GObject introspection data for the libmate-desktop library
  The MATE component mate-desktop contains the libmate-desktop library, the
  mate-about program, as well as some desktop-wide documents.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --without autoreconf

override_dh_missing:
	dh_missing --fail-missing

execute_before_dh_install:
	rm -f debian/tmp/usr/lib/*/*.la
	mkdir -p debian/tmp/usr/share/doc/libmate-desktop-doc/
	mv debian/tmp/usr/share/gtk-doc/html/mate-desktop debian/tmp/usr/share/doc/libmate-desktop-doc/html

override_dh_installchangelogs:
	dh_installchangelogs NEWS

override_dh_auto_configure:
	# upstream tarball is without configure. autogen.sh will create it
	NOCONFIGURE=1 ./autogen.sh
	dh_auto_configure -- \
		--disable-silent-rules \
		--disable-static \
		--disable-schemas-compile \
		--enable-gtk-doc

## mate-desktop 1.26.2-1.1mint1%2Bzara

=== debian/changelog ===
mate-desktop (1.26.2-1.1mint1+zara) zara; urgency=medium

  * Add Xapp portal

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 21 May 2025 10:52:54 +0100

mate-desktop (1.26.2-1.1build3) noble; urgency=medium

  * No-change rebuild against libatk1.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 07 Apr 2024 07:26:51 +0000

mate-desktop (1.26.2-1.1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 00:09:50 +0000

mate-desktop (1.26.2-1.1build1) noble; urgency=medium

  * No-change rebuild against libgtk-3-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 19 Mar 2024 06:11:59 +0000

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,23 @@
 Source: mate-desktop
 Section: x11
 Priority: optional
-Maintainer: Debian+Ubuntu MATE Packaging Team <debian-mate@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian+Ubuntu MATE Packaging Team <debian-mate@lists.debian.org>
 Uploaders: John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>,
            Stefano Karapetsas <stefano@karapetsas.com>,
            Mike Gabriel <sunweaver@debian.org>,
            Vangelis Mouhtsis <vangelis@gnugr.org>,
            Martin Wimpress <code@flexion.org>,
-Build-Depends: debhelper-compat (= 13),
-               dh-sequence-gir,
-               dpkg-dev (>= 1.22.5),
-               autoconf-archive,
-               gir1.2-gobject-2.0-dev,
-               gir1.2-gtk-3.0-dev,
+Build-Depends: dpkg-dev (>= 1.22.5), autoconf-archive,
+               debhelper-compat (= 13),
+               dpkg-dev (>= 1.16.1.1),
+               gobject-introspection,
                gtk-doc-tools,
                intltool,
                iso-codes,
                libdconf-dev (>= 0.13.4),
                libgdk-pixbuf-2.0-dev (>= 2.36.5),
+               libgirepository1.0-dev,
                libglib2.0-dev (>= 2.50.0),
                libglib2.0-doc,
                libgtk-3-dev (>= 3.22.0),
@@ -28,8 +28,9 @@
                libxml2-dev,
                libxrandr-dev (>= 1.3),
                mate-common (>= 1.18),
-Standards-Version: 4.7.2
-Homepage: https://mate-desktop.org/
+Standards-Version: 4.6.2
+Rules-Requires-Root: no
+Homepage: http://www.mate-desktop.org/
 Vcs-Browser: https://salsa.debian.org/debian-mate-team/mate-desktop
 Vcs-Git: https://salsa.debian.org/debian-mate-team/mate-desktop.git
 
@@ -42,6 +43,8 @@
          ${misc:Depends},
          ${shlibs:Depends},
 Recommends: mate-user-guide,
+Breaks: mate-desktop-gnome,
+Replaces: mate-desktop-gnome,
 Suggests: mate-desktop-environment,
 Description: Library with common API for various MATE modules
  The MATE component mate-desktop contains the libmate-desktop library, the
@@ -60,6 +63,8 @@
 Package: mate-desktop-common
 Architecture: all
 Depends: ${misc:Depends},
+Breaks: mate-desktop (<< 1.1.1-1),
+Replaces: mate-desktop (<< 1.1.1-1),
 Description: Library with common API for various MATE modules (common files)
  The MATE component mate-desktop contains the libmate-desktop library, the
  mate-about program, as well as some desktop-wide documents.
@@ -74,13 +79,13 @@
 Section: libs
 Architecture: any
 Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends},
 Depends: iso-codes,
          ${misc:Depends},
          ${shlibs:Depends},
-Provides: libmatedesktop,
-          ${t64:Provides},
-Breaks: libmate-desktop-2-17 (<< ${source:Version}),
-Replaces: libmate-desktop-2-17,
+Provides: ${t64:Provides}, libmatedesktop,
+Breaks: libmate-desktop-2-17 (<< ${source:Version}), libmatedesktop (<< 1.6.1),
+Replaces: libmate-desktop-2-17, libmatedesktop (<< 1.6.1),
 Description: Library with common API for various MATE modules (library)
  The MATE component mate-desktop contains the libmate-desktop library, the
  mate-about program, as well as some desktop-wide documents.
@@ -100,9 +105,13 @@
          libgtk-3-dev,
          libmate-desktop-2-17t64 (= ${binary:Version}),
          libstartup-notification0-dev,
-         ${gir:Depends},
+         gir1.2-matedesktop-2.0 (= ${binary:Version}),
          ${misc:Depends},
-Provides: ${gir:Provides},
+         ${shlibs:Depends},
+Breaks: libmatedesktop-dev,
+        gir1.2-mate-desktop (<< 1.18.0-2~),
+Replaces: libmatedesktop-dev,
+          gir1.2-mate-desktop (<< 1.18.0-2~),
 Description: Library with common API for various MATE modules (development files)
  The MATE component mate-desktop contains the libmate-desktop library, the
  mate-about program, as well as some desktop-wide documents.
@@ -118,6 +127,8 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends},
+Breaks: libmatedesktop-doc,
+Replaces: libmatedesktop-doc,
 Description: Library with common API for various MATE modules (documentation files)
  The MATE component mate-desktop contains the libmate-desktop library, the
  mate-about program, as well as some desktop-wide documents.
@@ -135,6 +146,9 @@
 Depends: libmate-desktop-2-17t64 (= ${binary:Version}),
          ${gir:Depends},
          ${misc:Depends},
+         ${shlibs:Depends},
+Breaks: gir1.2-mate-desktop (<< 1.18.0-2~),
+Replaces: gir1.2-mate-desktop (<< 1.18.0-2~),
 Description: GObject introspection data for the libmate-desktop library
  The MATE component mate-desktop contains the libmate-desktop library, the
  mate-about program, as well as some desktop-wide documents.
